Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 571945 - [abrt] crash in qt-creator-1.3.1-2.fc12: Process /usr/bin/qtcreator.bin was killed by signal 6 (SIGABRT)
Summary: [abrt] crash in qt-creator-1.3.1-2.fc12: Process /usr/bin/qtcreator.bin was k...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: qt-creator
Version: 12
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Itamar Reis Peixoto
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:1f0b2206ed538c5d9f2bb40ff30...
: 573056 583163 597414 598394 600510 617944 617945 620768 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-09 21:09 UTC by nicofo
Modified: 2010-12-03 17:38 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-03 17:38:03 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2010-03-09 21:09 UTC, nicofo
no flags Details

Description nicofo 2010-03-09 21:09:04 UTC
abrt 1.0.7 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: /usr/bin/qtcreator.bin
component: qt-creator
executable: /usr/bin/qtcreator.bin
kernel: 2.6.32.9-67.fc12.i686.PAE
package: qt-creator-1.3.1-2.fc12
rating: 4
reason: Process /usr/bin/qtcreator.bin was killed by signal 6 (SIGABRT)
release: Fedora release 12 (Constantine)

comment
-----
The logs when lauching qtcreator from the console:

$ qtcreator
makekdewidgets(10619)/kdecore (KSycoca) KSycocaPrivate::openDatabase: Trying to open ksycoca from  "/var/tmp/kdecache-nicolas/ksycoca4"
Error while reparenting!
QMetaProperty::read: Unable to handle unregistered datatype 'QList<QChar>' for property 'KCharSelect::displayedChars'
QMetaProperty::read: Unable to handle unregistered datatype 'KUrl' for property 'KUrlRequester::url'
QMetaProperty::read: Unable to handle unregistered datatype 'ShortcutTypes' for property 'KKeySequenceWidget::checkForConflictsAgainst'
Enchant dict for "fr_BE" 0xb0a0e30 
QMetaProperty::read: Unable to handle unregistered datatype 'KUrl' for property 'KUrlRequester::url'
QMetaProperty::read: Unable to handle unregistered datatype 'QList<QColor>' for property 'KColorCombo::colors'
QSharedPointer: pointer 0xa3d7790 already has reference counting
Aborted (core dumped)

How to reproduce
-----
1. open qtcretor and select File > New File or Project
2. select Qt Designer Form
3. => It crashes !

Comment 1 nicofo 2010-03-09 21:09:11 UTC
Created attachment 398933 [details]
File: backtrace

Comment 2 Itamar Reis Peixoto 2010-11-02 19:25:51 UTC
*** Bug 573056 has been marked as a duplicate of this bug. ***

Comment 3 Itamar Reis Peixoto 2010-11-02 19:26:10 UTC
*** Bug 583163 has been marked as a duplicate of this bug. ***

Comment 4 Itamar Reis Peixoto 2010-11-02 19:26:25 UTC
*** Bug 597414 has been marked as a duplicate of this bug. ***

Comment 5 Itamar Reis Peixoto 2010-11-02 19:26:40 UTC
*** Bug 598394 has been marked as a duplicate of this bug. ***

Comment 6 Itamar Reis Peixoto 2010-11-02 19:26:51 UTC
*** Bug 600510 has been marked as a duplicate of this bug. ***

Comment 7 Itamar Reis Peixoto 2010-11-02 19:27:02 UTC
*** Bug 617944 has been marked as a duplicate of this bug. ***

Comment 8 Itamar Reis Peixoto 2010-11-02 19:27:19 UTC
*** Bug 617945 has been marked as a duplicate of this bug. ***

Comment 9 Itamar Reis Peixoto 2010-11-02 19:27:29 UTC
*** Bug 620768 has been marked as a duplicate of this bug. ***

Comment 10 Bug Zapper 2010-11-03 20:16:36 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 11 Bug Zapper 2010-12-03 17:38:03 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.